Subject: sshd and google authenticator

From: Sascha Effert <[email-masked]>
Date: Sun, 20 Oct 2019 18:34:08 +0200

Hi,

I am trying to setup a docker image based on alpine that runs an SSH
server using google authenticator. I followed the description at 
https://wiki.alpinelinux.org/wiki/Two_Factors_Authentication_With_OpenSSH
. This works, as long as I do not use the feature to allow only 3 tries
in 30 seconds. So, the following line has NOT to be in the
.google_authenticator file in my home dir:

" RATE_LIMIT 3 30

If it is in, any verification code is denyed.

Does anybody has an idea why this happens? I would really like to use
this feature as I do not want to setup fail2ban or anything similiar to
protect my SSH server against brute force attacks... It shall be
reachable from internet...

bests

Sascha